<?xml version="1.0" encoding="UTF-8"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform" xmlns:fmp="http://www.filemaker.com/fmpxmlresult">
	<xsl:output method="text" version="1.0" encoding="UTF-8" indent="no"/>
<!--
	dev-fieldNames.xsl	(BD EDAF, version 2.2 - mai 2010 - A.M. Mortier, Universite Lyon 2)	Enregistre le noms des champs exportés dans un fichier texte séparés par des tabulations
-->

<!-- $delimiter" : caractère séparateur de champs -->
	<xsl:variable name="delimiter">
		<xsl:text>&#9;</xsl:text>
	</xsl:variable>

<!-- $delimiter" : caractère séparateur de records -->
<xsl:variable name="newrecord">
<xsl:text>
</xsl:text>
</xsl:variable>
	<xsl:template match="fmp:FMPXMLRESULT">
		<xsl:for-each select="fmp:METADATA/fmp:FIELD">
				<xsl:choose>
					<xsl:when test="position()=last()">
						<xsl:value-of select="@NAME"/>
					</xsl:when>
					<xsl:otherwise>
						<xsl:value-of select="@NAME"/>
						<xsl:value-of select="$delimiter"/>
					</xsl:otherwise>
				</xsl:choose>
			</xsl:for-each>
			<xsl:value-of select="$newrecord"/>
	</xsl:template>
</xsl:stylesheet>
